OMNINAMES(8)

NAME
omniNames - OmniORB Interoperable Naming Service

SYNOPSIS
omniNames [options] [omniORB-options]

DESCRIPTION
This manual page documents briefly the omniNames command.

omniNames is omniORBs Interoperable Naming Service for CORBA, an implementation of the OMG's COS Naming Service Specification. To make it easy to use omniNames with corbaname URIs, it starts with the default port of 2809 and an object key of NameService for the root naming context.

When started for the first time omniNames needs to be told which port it should listen on. This is specified with the -start option. Subsequentley omniNames will always determine its port from the log file which it writes.

When omniNames starts up successfully it writes the stringified object reference for its root context on standard error.

OPTIONS
A summary of options is included below. For a complete description, see the HTML pages included in the omniorb-doc package.

-start [port]
    This needs to be used the first time omniNames is run. With no port argument the standard default of 2809 is used.

-logdir directory_name
    This specifies the directory where the log/data files are kept. By default /var/lib/omniorb-nameserver/ is used.

-errlog file_name
    Where to redirect standard error output.

-ignoreport
    Ignore the port specification.

ENVIRONMENT

OMNINAMES_LOGDIR
    Alternate way to specify the directory where the log/data files are kept.

OMNINAMES_ITBC
    Idle time between checkpoints in seconds. It defaults to 15 minutes.

SEE ALSO
omniMapper(8).
The programs are documented fully by the HTML documentation in the omniorb-doc package.

AUTHOR
omniNames was written by Duncan Grisby <duncan@grisby.org>

This manual page was written by Floris Bruynooghe <floris.bruynooghe@gmail.com>, for the Debian project (but may be used by others).